### Method

# Camel MessageInfo dup_user_flags

since: 3.24

#### Declaration [src]

    CamelNamedFlags*
    camel_message_info_dup_user_flags (
      const CamelMessageInfo* mi
    )

#### Description

No description available.

Available since: 3.24

#### Return value

Type: `CamelNamedFlags`

A newly allocated `CamelNamedFlags` with all the currently set user flags on the `mi`. Free the returned structure with `camel_named_flags_free()` when no londer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.